summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2014-02-10 07:21:52 +0700
committer Erik Hanson <erik@slackbuilds.org>2014-02-11 12:15:07 -0600
commit2037ae7eee4d1f90e07b2e3dcbd0b9ec54aeb305 (patch)
treeed2a194bbf773fd6025b92a4da54b8d73e17dcf4
parentfcd311d5714bf6099c94cb30222b6c6f99a9f036 (diff)
downloadslackbuilds-2037ae7eee4d1f90e07b2e3dcbd0b9ec54aeb305.tar.gz
slackbuilds-2037ae7eee4d1f90e07b2e3dcbd0b9ec54aeb305.tar.xz
audio/lv2file: Added (apply lv2 plugins to audio files).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--audio/lv2file/README10
-rw-r--r--audio/lv2file/argtable.diff11
-rw-r--r--audio/lv2file/lv2file.SlackBuild85
-rw-r--r--audio/lv2file/lv2file.info12
-rw-r--r--audio/lv2file/slack-desc19
5 files changed, 137 insertions, 0 deletions
diff --git a/audio/lv2file/README b/audio/lv2file/README
new file mode 100644
index 0000000000..6824dee7a9
--- /dev/null
+++ b/audio/lv2file/README
@@ -0,0 +1,10 @@
+lv2file (apply lv2 plugins to audio files)
+
+lv2file is a simple program which you can use to apply effects to
+your audio files without much hassle. Possible use cases are:
+ * When you want to apply an effect without having to open a GUI or
+ start a project.
+ * When you want to apply effects to a large number of files, or in
+ an automated manner.
+ * When you need a deterministic environment to debug a plugin.
+ * You like everything to be on the command line.
diff --git a/audio/lv2file/argtable.diff b/audio/lv2file/argtable.diff
new file mode 100644
index 0000000000..7bb25f8edf
--- /dev/null
+++ b/audio/lv2file/argtable.diff
@@ -0,0 +1,11 @@
+diff -Naur a/Makefile b/Makefile
+--- a/Makefile 2012-05-18 22:32:47.000000000 -0400
++++ b/Makefile 2014-02-09 05:51:36.000000000 -0500
+@@ -1,5 +1,5 @@
+-CFLAGS = -O3 -Wall -Wextra --std=c99 `pkg-config --cflags argtable2 sndfile lilv-0`
+-LDLIBS = `pkg-config --libs argtable2 sndfile lilv-0` -lm
++CFLAGS = -O3 -Wall -Wextra --std=c99 `pkg-config --cflags sndfile lilv-0`
++LDLIBS = `pkg-config --libs sndfile lilv-0` -largtable2 -lm
+ BINDIR = $(DESTDIR)/usr/bin
+ INSTALL_PROGRAM = install
+
diff --git a/audio/lv2file/lv2file.SlackBuild b/audio/lv2file/lv2file.SlackBuild
new file mode 100644
index 0000000000..2533771459
--- /dev/null
+++ b/audio/lv2file/lv2file.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for lv2file
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=lv2file
+VERSION=${VERSION:-0.83}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}_$VERSION.orig.tar.gz
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# The argtable on SBo is too old to have a pkg-config .pc file, so patch
+# the Makefile to not require it.
+patch -p1 < $CWD/argtable.diff
+
+if [ "${FORCE_SLACK_FLAGS:-no}" = "yes" ]; then
+ sed -i "s/-O3/$SLKCFLAGS/" Makefile
+else
+ sed -i "s/-O3/-O3 -fPIC/" Makefile
+fi
+
+make
+strip $PRGNAM
+make install DESTDIR=$PKG
+
+# Use the debian man page (which is actually by the lv2file author,
+# I dunno why it's not in the lv2file source distrib to begin with)
+tar xvf $CWD/${PRGNAM}_$VERSION-1.debian.tar.gz debian/$PRGNAM.1
+mkdir -p $PKG/usr/man/man1
+gzip -9c < debian/$PRGNAM.1 > $PKG/usr/man/man1/$PRGNAM.1.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/lv2file/lv2file.info b/audio/lv2file/lv2file.info
new file mode 100644
index 0000000000..1ba08ee75d
--- /dev/null
+++ b/audio/lv2file/lv2file.info
@@ -0,0 +1,12 @@
+PRGNAM="lv2file"
+VERSION="0.83"
+HOMEPAGE="https://github.com/jeremysalwen/lv2file"
+DOWNLOAD="http://ftp.debian.org/debian/pool/main/l/lv2file/lv2file_0.83.orig.tar.gz
+ http://ftp.debian.org/debian/pool/main/l/lv2file/lv2file_0.83-1.debian.tar.gz"
+MD5SUM="3a2d1d1d118b581166afdae525e22715
+ e73910547be4c8f37d43bde140e5096e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="lilv argtable"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/audio/lv2file/slack-desc b/audio/lv2file/slack-desc
new file mode 100644
index 0000000000..1ed3e17486
--- /dev/null
+++ b/audio/lv2file/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+lv2file: lv2file (apply lv2 plugins to audio files)
+lv2file:
+lv2file: lv2file is a simple program which you can use to apply effects to
+lv2file: your audio files without much hassle. Possible use cases are:
+lv2file: * When you want to apply an effect without having to open a GUI or
+lv2file: start a project.
+lv2file: * When you want to apply effects to a large number of files, or in
+lv2file: an automated manner.
+lv2file: * When you need a deterministic environment to debug a plugin.
+lv2file: * You like everything to be on the command line.
+lv2file: